## File-Locate-Iterator-28.tar.gz

=== devel/Makefile ===
# Copyright 2009 Kevin Ryde.
#
# This file is part of File-Locate-Iterator.
#
# File-Locate-Iterator is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as published
# by the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# File-Locate-Iterator is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
# Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with File-Locate-Iterator; see the file COPYING.  Failing that, go to
# <http://www.gnu.org/licenses/>.

CFLAGS = -g -Wall

=== debian/changelog ===
libfile-locate-iterator-perl (28-0.1) unstable; urgency=low

  * Packaged version.

 -- Kevin Ryde <user42_kevin@yahoo.com.au>  Thu, 14 Nov 2019 17:06:58 +1100

=== debian/control ===
# Copyright 2008, 2009, 2010, 2011, 2012, 2013, 2014, 2016, 2017, 2018 Kevin Ryde

# This file is part of File-Locate-Iterator.
#
# File-Locate-Iterator is free software; you can redistribute it
# and/or modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 3, or
# (at your option) any later version.
#
# File-Locate-Iterator is distributed in the hope that it will be
# useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with File-Locate-Iterator.  If not, see <http://www.gnu.org/licenses/>.


# Build-Depends could have the "maximum_tests" modules from META.yml
# for more tests, but they're optional author tests really and would
# just make the build tools drag in more stuff.
#
# The .deb here is meant for perl 5.10 with the File::Locate::Iterator
# XS code.  If you build on an older perl then you'll get the
# pure-perl code and in that case add libfile-fnmatch-perl to the
# Depends for File::FnMatch required by that code.

Source: libfile-locate-iterator-perl
Section: perl
Priority: optional
Build-Depends: cdbs, debhelper (>= 5), perl (>= 5.10), libtest-more-perl | perl (>= 5.6.2)
Maintainer: Kevin Ryde <user42_kevin@yahoo.com.au>
Standards-Version: 4.2.1
Homepage: http://user42.tuxfamily.org/file-locate-iterator/index.html
Bugs: mailto:user42_kevin@yahoo.com.au

Package: libfile-locate-iterator-perl
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: perl (>= 5.6), libconstant-defer-perl, libfile-fnmatch-perl, libscalar-list-utils-perl | perl (>= 5.8), ${perl:Depends}, ${misc:Depends}, ${shlibs:Depends}
Recommends: libfile-map-perl (>= 0.35)
Suggests: libiterator-perl, libiterator-simple-perl, libmoosex-iterator-perl
Description: Read a "locate" database file with an iterator
 File::Locate::Iterator reads a "locate" database file, similar to
 File::Locate, but done as an iterator rather than callbacks.
 .
 The iteration is done stand-alone, or there's tie-in subclasses of
 Iterator.pm, Iterator::Simple and MooseX::Iterator too.

=== debian/rules ===
#!/usr/bin/make -f

# Copyright 2009, 2014, 2019 Kevin Ryde

# This file is part of File-Locate-Iterator.
#
# File-Locate-Iterator is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as published
# by the Free Software Foundation; either version 3, or (at your option) any
# later version.
#
# File-Locate-Iterator is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
# Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with File-Locate-Iterator.  If not, see <http://www.gnu.org/licenses/>.

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/perl-makemaker.mk

DEB_INSTALL_EXAMPLES_libfile-locate-iterator-perl = examples/*

=== debian/watch ===
# Web site version watch, for devscripts uscan program.

# Copyright 2009, 2017 Kevin Ryde
#
# This file is part of File-Locate-Iterator.
#
# File-Locate-Iterator is free software; you can redistribute it
# and/or modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 3, or
# (at your option) any later version.
#
# File-Locate-Iterator is distributed in the hope that it will be
# useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with File-Locate-Iterator.  If not, see <http://www.gnu.org/licenses/>.


# Crib notes:
# "man uscan" describes the format.
# test with: uscan --report --verbose --watchfile=debian/watch

version=3
https://user42.tuxfamily.org/file-locate-iterator/index.html \
	.*/File-Locate-Iterator-([0-9]+)\.tar\.gz
